# xarray.CFTimeIndex.take

`CFTimeIndex.``take`(indices, axis=0, allow_fill=True, fill_value=None, **kwargs)

  Return a new Index of the values selected by the indices.

  For internal compatibility with numpy arrays.

  Parameters:

  - indices (list) – Indices to be taken
  - axis (int, optional) – The axis over which to select values, always 0.
  - allow_fill (bool, default True) –
  - fill_value (bool, default None) – If allow_fill=True and fill_value is not None, indices specified by -1 is regarded as NA. If Index doesn’t hold NA, raise ValueError

  Returns: | Elements of given indices.
  Return type: | numpy.ndarray

  See also

  `numpy.ndarray.take()`